Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/modis_simulator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/modis_simulator.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/modis_simulator.F90	(revision 5099)
@@ -2,19 +2,19 @@
 ! Copyright (c) 2015, Regents of the University of Colorado
 ! All rights reserved.
-!
+
 ! Redistribution and use in source and binary forms, with or without modification, are 
 ! permitted provided that the following conditions are met:
-!
+
 ! 1. Redistributions of source code must retain the above copyright notice, this list of 
 !    conditions and the following disclaimer.
-!
+
 ! 2. Redistributions in binary form must reproduce the above copyright notice, this list
 !    of conditions and the following disclaimer in the documentation and/or other 
 !    materials provided with the distribution.
-!
+
 ! 3. Neither the name of the copyright holder nor the names of its contributors may be 
 !    used to endorse or promote products derived from this software without specific prior
 !    written permission.
-!
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY 
 ! EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
@@ -26,5 +26,5 @@
 ! LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 ! OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-!
+
 ! History
 ! May 2009:      Robert Pincus - Initial version
@@ -37,5 +37,5 @@
 ! May 2015:      Dustin Swales - Modified for COSPv2.0
 ! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-!
+
 ! Notes on using the MODIS simulator: 
 !  *) You may provide either layer-by-layer values of optical thickness at 0.67 and 2.1
@@ -48,9 +48,9 @@
 !     the MODIS retrieval libraries (parameters re_water_min, re_ice_min, etc.) the 
 !     simulator returns missing values (re_fill)
-!
+
 ! When error conditions are encountered this code calls the function complain_and_die, 
 ! supplied at the bottom of this module. Users probably want to replace this with 
 ! something more graceful. 
-!
+
 module mod_modis_sim
   USE MOD_COSP_CONFIG, only: R_UNDEF,modis_histTau,modis_histPres,numMODISTauBins,       &
@@ -102,8 +102,8 @@
   ! ########################################################################################
   ! MODIS simulator using specified liquid and ice optical thickness in each layer 
-  !
+
   ! Note: this simulator operates on all points; to match MODIS itself night-time 
   !       points should be excluded
-  !
+
   ! Note: the simulator requires as input the optical thickness and cloud top pressure 
   !       derived from the ISCCP simulator run with parameter top_height = 1. 
@@ -443,8 +443,8 @@
         deltaX = tauLimit - totalTau
         totalTau = totalTau + deltaX
-        !
+
         ! Result for trapezoidal rule when you take less than a full step
         !   tauIncrement is a layer-integrated value
-        !
+
         totalProduct = totalProduct           &
                      + pressure(i-1) * deltaX &
@@ -534,7 +534,7 @@
     
     if(diff(lowerBound) * diff(upperBound) < 0) then     
-      !
+
       ! Interpolate the root position linearly if we bracket the root
-      !
+
       interpolate_to_min = x(upperBound) - & 
                            diff(upperBound) * (x(upperBound) - x(lowerBound)) / (diff(upperBound) - diff(lowerBound))
@@ -611,9 +611,8 @@
   
   elemental function get_g_nir (phase, re)
-    !
+
     ! Polynomial fit for asummetry parameter g in MODIS band 7 (near IR) as a function 
     !   of size for ice and water
     ! Fits from Steve Platnick
-    !
 
     integer, intent(in) :: phase
@@ -647,9 +646,9 @@
         real(wp),    intent(in) :: re
         real(wp)                :: get_ssa_nir
-        !
+
         ! Polynomial fit for single scattering albedo in MODIS band 7 (near IR) as a function 
         !   of size for ice and water
         ! Fits from Steve Platnick
-        !
+
         real(wp), dimension(4), parameter :: ice_coefficients   = (/ 0.9625, -1.8069e-2, 3.3281e-4,-2.2865e-6/)
         real(wp), dimension(3), parameter :: water_coefficients = (/ 1.0044, -1.1397e-2, 1.3300e-4 /)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/mrgrnk.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/mrgrnk.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/mrgrnk.F90	(revision 5099)
@@ -2,19 +2,19 @@
 ! Copyright (c) 2015, Regents of the University of Colorado
 ! All rights reserved.
-!
+
 ! Redistribution and use in source and binary forms, with or without modification, are 
 ! permitted provided that the following conditions are met:
-!
+
 ! 1. Redistributions of source code must retain the above copyright notice, this list of 
 !    conditions and the following disclaimer.
-!
+
 ! 2. Redistributions in binary form must reproduce the above copyright notice, this list
 !    of conditions and the following disclaimer in the documentation and/or other 
 !    materials provided with the distribution.
-!
+
 ! 3. Neither the name of the copyright holder nor the names of its contributors may be 
 !    used to endorse or promote products derived from this software without specific prior
 !    written permission.
-!
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY 
 ! EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
@@ -26,8 +26,8 @@
 ! LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 ! OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-!
+
 ! History:
 ! May 2015:  Dustin Swales    - Modified for COSPv2.0
-! 
+
 ! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
 Module m_mrgrnk
@@ -56,9 +56,9 @@
     ! __________________________________________________________
     Real (wp) :: XVALA, XVALB
-    !
+
     Integer, Dimension (SIZE(IRNGT)) :: JWRKT
     Integer :: LMTNA, LMTNC, IRNG1, IRNG2
     Integer :: NVAL, IIND, IWRKD, IWRK, IWRKF, JINDA, IINDA, IINDB
-    !
+
     NVAL = Min (SIZE(XDONT), SIZE(IRNGT))
     Select Case (NVAL)
@@ -71,7 +71,7 @@
        Continue
     End Select
-    !
+
     ! Fill-in the index array, creating ordered couples
-    !
+
     Do IIND = 2, NVAL, 2
        If (XDONT(IIND-1) <= XDONT(IIND)) Then
@@ -86,35 +86,35 @@
        IRNGT (NVAL) = NVAL
     End If
-    !
+
     ! We will now have ordered subsets A - B - A - B - ...
     ! and merge A and B couples into C - C - ...
-    !
+
     LMTNA = 2
     LMTNC = 4
-    !
+
     ! First iteration. The length of the ordered subsets goes from 2 to 4
-    !
+
     Do
        If (NVAL <= 2) Exit
-       !
+
        ! Loop on merges of A and B into C
-       !
+
        Do IWRKD = 0, NVAL - 1, 4
           If ((IWRKD+4) > NVAL) Then
              If ((IWRKD+2) >= NVAL) Exit
-             !
+
              ! 1 2 3
-             !
+
              If (XDONT(IRNGT(IWRKD+2)) <= XDONT(IRNGT(IWRKD+3))) Exit
-             !
+
              ! 1 3 2
-             !
+
              If (XDONT(IRNGT(IWRKD+1)) <= XDONT(IRNGT(IWRKD+3))) Then
                 IRNG2 = IRNGT (IWRKD+2)
                 IRNGT (IWRKD+2) = IRNGT (IWRKD+3)
                 IRNGT (IWRKD+3) = IRNG2
-                !
+
                 ! 3 1 2
-                !
+
              Else
                 IRNG1 = IRNGT (IWRKD+1)
@@ -125,11 +125,11 @@
              Exit
           End If
-          !
+
           ! 1 2 3 4
-          !
+
           If (XDONT(IRNGT(IWRKD+2)) <= XDONT(IRNGT(IWRKD+3))) Cycle
-          !
+
           ! 1 3 x x
-          !
+
           If (XDONT(IRNGT(IWRKD+1)) <= XDONT(IRNGT(IWRKD+3))) Then
              IRNG2 = IRNGT (IWRKD+2)
@@ -143,7 +143,7 @@
                 IRNGT (IWRKD+4) = IRNG2
              End If
-             !
+
              ! 3 x x x
-             !
+
           Else
              IRNG1 = IRNGT (IWRKD+1)
@@ -168,21 +168,21 @@
           End If
        End Do
-       !
+
        ! The Cs become As and Bs
-       !
+
        LMTNA = 4
        Exit
     End Do
-    !
+
     ! Iteration loop. Each time, the length of the ordered subsets
     ! is doubled.
-    !
+
     Do
        If (LMTNA >= NVAL) Exit
        IWRKF = 0
        LMTNC = 2 * LMTNC
-       !
+
        ! Loop on merges of A and B into C
-       !
+
        Do
           IWRK = IWRKF
@@ -196,25 +196,25 @@
           IINDA = 1
           IINDB = JINDA + 1
-          !
+
           ! Shortcut for the case when the max of A is smaller
           ! than the min of B. This line may be activated when the
           ! initial set is already close to sorted.
-          !
+
           ! IF (XDONT(IRNGT(JINDA)) <= XDONT(IRNGT(IINDB))) CYCLE
-          !
+
           ! One steps in the C subset, that we build in the final rank array
-          !
+
           ! Make a copy of the rank array for the merge iteration
-          !
+
           JWRKT (1:LMTNA) = IRNGT (IWRKD:JINDA)
-          !
+
           XVALA = XDONT (JWRKT(IINDA))
           XVALB = XDONT (IRNGT(IINDB))
-          !
+
           Do
              IWRK = IWRK + 1
-             !
+
              ! We still have unprocessed values in both A and B
-             !
+
              If (XVALA > XVALB) Then
                 IRNGT (IWRK) = IRNGT (IINDB)
@@ -232,15 +232,15 @@
                 XVALA = XDONT (JWRKT(IINDA))
              End If
-             !
+
           End Do
        End Do
-       !
+
        ! The Cs become As and Bs
-       !
+
        LMTNA = 2 * LMTNA
     End Do
-    !
+
     Return
-    !
+
   End Subroutine D_mrgrnk
   
@@ -256,9 +256,9 @@
     ! __________________________________________________________
     Real(wp) :: XVALA, XVALB
-    !
+
     Integer, Dimension (SIZE(IRNGT)) :: JWRKT
     Integer :: LMTNA, LMTNC, IRNG1, IRNG2
     Integer :: NVAL, IIND, IWRKD, IWRK, IWRKF, JINDA, IINDA, IINDB
-    !
+
     NVAL = Min (SIZE(XDONT), SIZE(IRNGT))
     Select Case (NVAL)
@@ -271,7 +271,7 @@
        Continue
     End Select
-    !
+
     ! Fill-in the index array, creating ordered couples
-    !
+
     Do IIND = 2, NVAL, 2
        If (XDONT(IIND-1) <= XDONT(IIND)) Then
@@ -286,35 +286,35 @@
        IRNGT (NVAL) = NVAL
     End If
-    !
+
     ! We will now have ordered subsets A - B - A - B - ...
     ! and merge A and B couples into C - C - ...
-    !
+
     LMTNA = 2
     LMTNC = 4
-    !
+
     ! First iteration. The length of the ordered subsets goes from 2 to 4
-    !
+
     Do
        If (NVAL <= 2) Exit
-       !
+
        ! Loop on merges of A and B into C
-       !
+
        Do IWRKD = 0, NVAL - 1, 4
           If ((IWRKD+4) > NVAL) Then
              If ((IWRKD+2) >= NVAL) Exit
-             !
+
              ! 1 2 3
-             !
+
              If (XDONT(IRNGT(IWRKD+2)) <= XDONT(IRNGT(IWRKD+3))) Exit
-             !
+
              ! 1 3 2
-             !
+
              If (XDONT(IRNGT(IWRKD+1)) <= XDONT(IRNGT(IWRKD+3))) Then
                 IRNG2 = IRNGT (IWRKD+2)
                 IRNGT (IWRKD+2) = IRNGT (IWRKD+3)
                 IRNGT (IWRKD+3) = IRNG2
-                !
+
                 ! 3 1 2
-                !
+
              Else
                 IRNG1 = IRNGT (IWRKD+1)
@@ -325,11 +325,11 @@
              Exit
           End If
-          !
+
           ! 1 2 3 4
-          !
+
           If (XDONT(IRNGT(IWRKD+2)) <= XDONT(IRNGT(IWRKD+3))) Cycle
-          !
+
           ! 1 3 x x
-          !
+
           If (XDONT(IRNGT(IWRKD+1)) <= XDONT(IRNGT(IWRKD+3))) Then
              IRNG2 = IRNGT (IWRKD+2)
@@ -343,7 +343,7 @@
                 IRNGT (IWRKD+4) = IRNG2
              End If
-             !
+
              ! 3 x x x
-             !
+
           Else
              IRNG1 = IRNGT (IWRKD+1)
@@ -368,21 +368,21 @@
           End If
        End Do
-       !
+
        ! The Cs become As and Bs
-       !
+
        LMTNA = 4
        Exit
     End Do
-    !
+
     ! Iteration loop. Each time, the length of the ordered subsets
     ! is doubled.
-    !
+
     Do
        If (LMTNA >= NVAL) Exit
        IWRKF = 0
        LMTNC = 2 * LMTNC
-       !
+
        ! Loop on merges of A and B into C
-       !
+
        Do
           IWRK = IWRKF
@@ -396,25 +396,25 @@
           IINDA = 1
           IINDB = JINDA + 1
-          !
+
           ! Shortcut for the case when the max of A is smaller
           ! than the min of B. This line may be activated when the
           ! initial set is already close to sorted.
-          !
+
           ! IF (XDONT(IRNGT(JINDA)) <= XDONT(IRNGT(IINDB))) CYCLE
-          !
+
           ! One steps in the C subset, that we build in the final rank array
-          !
+
           ! Make a copy of the rank array for the merge iteration
-          !
+
           JWRKT (1:LMTNA) = IRNGT (IWRKD:JINDA)
-          !
+
           XVALA = XDONT (JWRKT(IINDA))
           XVALB = XDONT (IRNGT(IINDB))
-          !
+
           Do
              IWRK = IWRK + 1
-             !
+
              ! We still have unprocessed values in both A and B
-             !
+
              If (XVALA > XVALB) Then
                 IRNGT (IWRK) = IRNGT (IINDB)
@@ -432,15 +432,15 @@
                 XVALA = XDONT (JWRKT(IINDA))
              End If
-             !
+
           End Do
        End Do
-       !
+
        ! The Cs become As and Bs
-       !
+
        LMTNA = 2 * LMTNA
     End Do
-    !
+
     Return
-    !
+
   End Subroutine R_mrgrnk
   Subroutine I_mrgrnk (XDONT, IRNGT)
@@ -455,9 +455,9 @@
     ! __________________________________________________________
     Integer :: XVALA, XVALB
-    !
+
     Integer, Dimension (SIZE(IRNGT)) :: JWRKT
     Integer :: LMTNA, LMTNC, IRNG1, IRNG2
     Integer :: NVAL, IIND, IWRKD, IWRK, IWRKF, JINDA, IINDA, IINDB
-    !
+
     NVAL = Min (SIZE(XDONT), SIZE(IRNGT))
     Select Case (NVAL)
@@ -470,7 +470,7 @@
        Continue
     End Select
-    !
+
     ! Fill-in the index array, creating ordered couples
-    !
+
     Do IIND = 2, NVAL, 2
        If (XDONT(IIND-1) <= XDONT(IIND)) Then
@@ -485,35 +485,35 @@
        IRNGT (NVAL) = NVAL
     End If
-    !
+
     ! We will now have ordered subsets A - B - A - B - ...
     ! and merge A and B couples into C - C - ...
-    !
+
     LMTNA = 2
     LMTNC = 4
-    !
+
     ! First iteration. The length of the ordered subsets goes from 2 to 4
-    !
+
     Do
        If (NVAL <= 2) Exit
-       !
+
        ! Loop on merges of A and B into C
-       !
+
        Do IWRKD = 0, NVAL - 1, 4
           If ((IWRKD+4) > NVAL) Then
              If ((IWRKD+2) >= NVAL) Exit
-             !
+
              ! 1 2 3
-             !
+
              If (XDONT(IRNGT(IWRKD+2)) <= XDONT(IRNGT(IWRKD+3))) Exit
-             !
+
              ! 1 3 2
-             !
+
              If (XDONT(IRNGT(IWRKD+1)) <= XDONT(IRNGT(IWRKD+3))) Then
                 IRNG2 = IRNGT (IWRKD+2)
                 IRNGT (IWRKD+2) = IRNGT (IWRKD+3)
                 IRNGT (IWRKD+3) = IRNG2
-                !
+
                 ! 3 1 2
-                !
+
              Else
                 IRNG1 = IRNGT (IWRKD+1)
@@ -524,11 +524,11 @@
              Exit
           End If
-          !
+
           ! 1 2 3 4
-          !
+
           If (XDONT(IRNGT(IWRKD+2)) <= XDONT(IRNGT(IWRKD+3))) Cycle
-          !
+
           ! 1 3 x x
-          !
+
           If (XDONT(IRNGT(IWRKD+1)) <= XDONT(IRNGT(IWRKD+3))) Then
              IRNG2 = IRNGT (IWRKD+2)
@@ -542,7 +542,7 @@
                 IRNGT (IWRKD+4) = IRNG2
              End If
-             !
+
              ! 3 x x x
-             !
+
           Else
              IRNG1 = IRNGT (IWRKD+1)
@@ -567,21 +567,21 @@
           End If
        End Do
-       !
+
        ! The Cs become As and Bs
-       !
+
        LMTNA = 4
        Exit
     End Do
-    !
+
     ! Iteration loop. Each time, the length of the ordered subsets
     ! is doubled.
-    !
+
     Do
        If (LMTNA >= NVAL) Exit
        IWRKF = 0
        LMTNC = 2 * LMTNC
-       !
+
        ! Loop on merges of A and B into C
-       !
+
        Do
           IWRK = IWRKF
@@ -595,25 +595,25 @@
           IINDA = 1
           IINDB = JINDA + 1
-          !
+
           ! Shortcut for the case when the max of A is smaller
           ! than the min of B. This line may be activated when the
           ! initial set is already close to sorted.
-          !
+
           ! IF (XDONT(IRNGT(JINDA)) <= XDONT(IRNGT(IINDB))) CYCLE
-          !
+
           ! One steps in the C subset, that we build in the final rank array
-          !
+
           ! Make a copy of the rank array for the merge iteration
-          !
+
           JWRKT (1:LMTNA) = IRNGT (IWRKD:JINDA)
-          !
+
           XVALA = XDONT (JWRKT(IINDA))
           XVALB = XDONT (IRNGT(IINDB))
-          !
+
           Do
              IWRK = IWRK + 1
-             !
+
              ! We still have unprocessed values in both A and B
-             !
+
              If (XVALA > XVALB) Then
                 IRNGT (IWRK) = IRNGT (IINDB)
@@ -631,15 +631,15 @@
                 XVALA = XDONT (JWRKT(IINDA))
              End If
-             !
+
           End Do
        End Do
-       !
+
        ! The Cs become As and Bs
-       !
+
        LMTNA = 2 * LMTNA
     End Do
-    !
+
     Return
-    !
+
   End Subroutine I_mrgrnk
 end module m_mrgrnk
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/optics_lib.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/optics_lib.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/optics_lib.F90	(revision 5099)
@@ -2,19 +2,19 @@
 ! Copyright (c) 2015, Regents of the University of Colorado
 ! All rights reserved.
-!
+
 ! Redistribution and use in source and binary forms, with or without modification, are 
 ! permitted provided that the following conditions are met:
-!
+
 ! 1. Redistributions of source code must retain the above copyright notice, this list of 
 !    conditions and the following disclaimer.
-!
+
 ! 2. Redistributions in binary form must reproduce the above copyright notice, this list
 !    of conditions and the following disclaimer in the documentation and/or other 
 !    materials provided with the distribution.
-!
+
 ! 3. Neither the name of the copyright holder nor the names of its contributors may be 
 !    used to endorse or promote products derived from this software without specific prior
 !    written permission.
-!
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY 
 ! EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
@@ -26,9 +26,9 @@
 ! LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 ! OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-!
+
 ! History:
 ! July 2006: John Haynes      - Initial version
 ! May 2015:  Dustin Swales    - Modified for COSPv2.0
-! 
+
 ! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
 module optics_lib
@@ -44,19 +44,19 @@
   subroutine m_wat(freq, tk, n_r, n_i)
     ! ############################################################################
-    !  
+
     ! Purpose:
     !   compute complex index of refraction of liquid water
-    !
+
     ! Inputs:
     !   [freq]    frequency (GHz)
     !   [tk]       temperature (K)
-    !
+
     ! Outputs:
     !   [n_r]     real part index of refraction
     !   [n_i]     imaginary part index of refraction
-    !
+
     ! Reference:
     !   Based on the work of Ray (1972)
-    !
+
     ! Coded:
     !   03/22/05  John Haynes (haynes@atmos.colostate.edu)
@@ -111,19 +111,19 @@
   subroutine m_ice(freq,t,n_r,n_i)
     ! ##########################################################################
-    !
+
     ! Purpose:
     !   compute complex index of refraction of ice
-    !
+
     ! Inputs:
     !   [freq]    frequency (GHz)
     !   [t]       temperature (K)
-    !
+
     ! Outputs:
     !   [n_r]     real part index of refraction
     !   [n_i]     imaginary part index of refraction
-    !
+
     ! Reference:
     !    Fortran 90 port from IDL of REFICE by Stephen G. Warren
-    !
+
     ! Modified:
     !   05/31/05  John Haynes (haynes@atmos.colostate.edu)
@@ -505,21 +505,21 @@
     ! Allowable wavelength range extends from 0.045 microns to 8.6 meter
     ! temperature dependence only considered beyond 167 microns.
-    ! 
+
     ! interpolation is done     n_r  vs. log(xlam)
     !                           n_r  vs.        t
     !                       log(n_i) vs. log(xlam)
     !                       log(n_i) vs.        t
-    !
+
     ! Stephen G. Warren - 1983
     ! Dept. of Atmospheric Sciences
     ! University of Washington
     ! Seattle, Wa  98195
-    !
+
     ! Based on
-    !
+
     !    Warren,S.G.,1984.
     !    Optical constants of ice from the ultraviolet to the microwave.
     !    Applied Optics,23,1206-1225
-    !
+
     ! Reference temperatures are -1.0,-5.0,-20.0, and -60.0 deg C
     ! #####################################################################
@@ -594,5 +594,5 @@
   Subroutine MieInt(Dx, SCm, Inp, Dqv, Dqxt, Dqsc, Dbsc, Dg, Xs1, Xs2, DPh, Error)
     ! ##########################################################################
-    !
+
     !     General purpose Mie scattering routine for single particles
     !     Author: R Grainger 1990
@@ -601,5 +601,5 @@
     !     code to ensure correct calculation of backscatter coeficient
     !     Options/Extend_Source
-    !
+
     ! ##########################################################################
     ! INPUTS
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/parasol.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/parasol.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/parasol.F90	(revision 5099)
@@ -2,19 +2,19 @@
 ! Copyright (c) 2009, Centre National de la Recherche Scientifique
 ! All rights reserved.
-!
+
 ! Redistribution and use in source and binary forms, with or without modification, are 
 ! permitted provided that the following conditions are met:
-!
+
 ! 1. Redistributions of source code must retain the above copyright notice, this list of 
 !    conditions and the following disclaimer.
-!
+
 ! 2. Redistributions in binary form must reproduce the above copyright notice, this list
 !    of conditions and the following disclaimer in the documentation and/or other 
 !    materials provided with the distribution.
-!
+
 ! 3. Neither the name of the copyright holder nor the names of its contributors may be 
 !    used to endorse or promote products derived from this software without specific prior
 !    written permission.
-!
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY 
 ! EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
@@ -26,5 +26,5 @@
 ! LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 ! OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-!
+
 ! History
 ! December 2008, S. Bony,  H. Chepfer and J-L. Dufresne : 
@@ -46,9 +46,9 @@
     !          of cloud water and cloud fraction in each sub-column of each model 
     !          gridbox.
-    !
-    !
+
+
     ! December 2008, S. Bony,  H. Chepfer and J-L. Dufresne : 
     ! - optimization for vectorization
-    !
+
     ! Version 2.0 (October 2008)
     ! Version 2.1 (December 2008)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/prec_scops.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/prec_scops.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/prec_scops.F90	(revision 5099)
@@ -2,19 +2,19 @@
 ! Copyright (c) 2008, Lawrence Livermore National Security Limited Liability Corporation
 ! All rights reserved.
-!
+
 ! Redistribution and use in source and binary forms, with or without modification, are 
 ! permitted provided that the following conditions are met:
-!
+
 ! 1. Redistributions of source code must retain the above copyright notice, this list of 
 !    conditions and the following disclaimer.
-!
+
 ! 2. Redistributions in binary form must reproduce the above copyright notice, this list
 !    of conditions and the following disclaimer in the documentation and/or other 
 !    materials provided with the distribution.
-!
+
 ! 3. Neither the name of the copyright holder nor the names of its contributors may be 
 !    used to endorse or promote products derived from this software without specific prior
 !    written permission.
-!
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY 
 ! EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
@@ -26,8 +26,8 @@
 ! LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 ! OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-!
+
 ! History:
 ! May 2015- D. Swales - Modified for COSPv2.0
-! 
+
 ! %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 module mod_prec_scops
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/quickbeam.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/quickbeam.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/quickbeam.F90	(revision 5099)
@@ -2,19 +2,19 @@
 ! Copyright (c) 2015, Regents of the University of Colorado
 ! All rights reserved.
-!
+
 ! Redistribution and use in source and binary forms, with or without modification, are 
 ! permitted provided that the following conditions are met:
-!
+
 ! 1. Redistributions of source code must retain the above copyright notice, this list of 
 !    conditions and the following disclaimer.
-!
+
 ! 2. Redistributions in binary form must reproduce the above copyright notice, this list
 !    of conditions and the following disclaimer in the documentation and/or other 
 !    materials provided with the distribution.
-!
+
 ! 3. Neither the name of the copyright holder nor the names of its contributors may be 
 !    used to endorse or promote products derived from this software without specific prior
 !    written permission.
-!
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY 
 ! EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
@@ -26,5 +26,5 @@
 ! LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 ! OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-!
+
 ! History
 ! 11/2005: John Haynes - Created
@@ -33,5 +33,5 @@
 ! 01/2008  'Do while' to determine if hydrometeor(s) present in volume
 !           changed for vectorization purposes (A. Bodas-Salcedo)
-!
+
 ! 07/2010  V3.0 ... Modified to load or save scale factors to disk as a Look-Up Table (LUT)
 !  ... All hydrometeor and radar simulator properties now included in hp structure
@@ -40,8 +40,8 @@
 !     Also ... Support of Morrison 2-moment style microphyscis (Np_matrix) added 
 !  ... Changes implement by Roj Marchand following work by Laura Fowler
-!
+
 !   10/2011  Modified ngate loop to go in either direction depending on flag 
 !     hp%radar_at_layer_one.  This affects the direction in which attenuation is summed.
-!
+
 !     Also removed called to AVINT for gas and hydrometeor attenuation and replaced with simple
 !     summation. (Roger Marchand)
@@ -315,5 +315,5 @@
   ! ######################################################################################
   ! SUBROUTINE cloudsat_precipOccurence
-  !
+
   ! Notes from July 2016: Add precip flag also looped over subcolumns
   ! Modified by Tristan L'Ecuyer (TSL) to add precipitation flagging
@@ -321,7 +321,7 @@
   ! To mimic the satellite algorithm, this code applies thresholds to non-attenuated
   ! reflectivities, Ze_non, consistent with those outlined in Haynes et al, JGR (2009).
-  !
+
   ! Procedures/Notes:
-  !
+
   ! (1) If the 2-way attenuation exceeds 40 dB, the pixel will be flagged as 'heavy rain'
   ! consistent with the multiple-scattering analysis of Battaglia et al, JGR (2008).
@@ -334,5 +334,5 @@
   ! due to differening attenuation corrections from hydrometeors aloft, the non-attenuated
   ! reflectivities used in the computation of this flag cannot vary across sub-columns.
-  !
+
   ! radar_prec_flag = 1-Rain possible 2-Rain probable 3-Rain certain 
   !                   4-Snow possible 5-Snow certain 
@@ -340,5 +340,5 @@
   !                   8-Heavy Rain
   !                   9- default value
-  !
+
   ! Modified by Dustin Swales (University of Colorado) for use with COSP2.
   ! *NOTE* All inputs (Ze_out, Ze_non_out, fracPrecipIce) are at a single level from the
